# livery.h File Reference

`#include "player_type.h"`

Go to the source code of this file.

## Data Structures

struct | Livery

## Enumerations

enum

LiveryScheme {
LS_BEGIN = 0, LS_DEFAULT = 0, LS_STEAM, LS_DIESEL,
LS_ELECTRIC, LS_MONORAIL, LS_MAGLEV, LS_DMU,
LS_EMU, LS_PASSENGER_WAGON_STEAM, LS_PASSENGER_WAGON_DIESEL, LS_PASSENGER_WAGON_ELECTRIC,
LS_PASSENGER_WAGON_MONORAIL, LS_PASSENGER_WAGON_MAGLEV, LS_FREIGHT_WAGON, LS_BUS,
LS_TRUCK, LS_PASSENGER_SHIP, LS_FREIGHT_SHIP, LS_HELICOPTER,
LS_SMALL_PLANE, LS_LARGE_PLANE, LS_PASSENGER_TRAM, LS_FREIGHT_TRAM,
LS_END
}

enum | LiveryClass { LC_OTHER, LC_RAIL, LC_ROAD, LC_SHIP, LC_AIRCRAFT, LC_END }

## Functions

| DECLARE_POSTFIX_INCREMENT (LiveryScheme)
void | ResetPlayerLivery (Player *p)
| Reset the livery schemes to the player's primary colour.

## Detailed Description

Definition in file livery.h.

## Function Documentation

void ResetPlayerLivery | ( | Player * | p | ) |

Reset the livery schemes to the player's primary colour.

This is used on loading games without livery information and on new player start up.

Parameters:

  | p | Player to reset.

Definition at line 469 of file players.cpp.

Referenced by DoStartupNewPlayer().